Only in libfloat: CVS
Only in libfloat: Makefile
Only in libfloat: fplib_glue.S
Only in libfloat: libfloat.spec
diff -uwbBpr libfloat/processors/386-gcc.h SoftFloat-2a/processors/386-gcc.h
--- libfloat/processors/386-gcc.h	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/processors/386-gcc.h	Mon Sep 20 11:46:44 1999
@@ -32,8 +32,8 @@ typedef int int16;
 typedef unsigned int uint32;
 typedef signed int int32;
 #ifdef BITS64
-typedef unsigned long long int bits64;
-typedef signed long long int sbits64;
+typedef unsigned long long int uint64;
+typedef signed long long int int64;
 #endif
 
 /*
@@ -51,16 +51,16 @@ typedef signed short int sbits16;
 typedef unsigned int bits32;
 typedef signed int sbits32;
 #ifdef BITS64
-typedef unsigned long long int uint64;
-typedef signed long long int int64;
+typedef unsigned long long int bits64;
+typedef signed long long int sbits64;
 #endif
 
 #ifdef BITS64
 /*
 -------------------------------------------------------------------------------
-The `LIT64' macro takes as its argument a textual integer literal and if
-necessary ``marks'' the literal as having a 64-bit integer type.  For
-example, the Gnu C Compiler (`gcc') requires that 64-bit literals be
+The `LIT64' macro takes as its argument a textual integer literal and
+if necessary ``marks'' the literal as having a 64-bit integer type.
+For example, the GNU C Compiler (`gcc') requires that 64-bit literals be
 appended with the letters `LL' standing for `long long', which is `gcc's
 name for the 64-bit integer type.  Some compilers may allow `LIT64' to be
 defined as the identity macro:  `#define LIT64( a ) a'.
Only in libfloat/processors: ARM-gcc.h
Only in libfloat/processors: CVS
diff -uwbBpr libfloat/processors/SPARC-gcc.h SoftFloat-2a/processors/SPARC-gcc.h
--- libfloat/processors/SPARC-gcc.h	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/processors/SPARC-gcc.h	Mon Sep 20 11:55:41 1999
@@ -32,8 +32,8 @@ typedef int int16;
 typedef unsigned int uint32;
 typedef signed int int32;
 #ifdef BITS64
-typedef unsigned long long int bits64;
-typedef signed long long int sbits64;
+typedef unsigned long long int uint64;
+typedef signed long long int int64;
 #endif
 
 /*
@@ -51,16 +51,16 @@ typedef signed short int sbits16;
 typedef unsigned int bits32;
 typedef signed int sbits32;
 #ifdef BITS64
-typedef unsigned long long int uint64;
-typedef signed long long int int64;
+typedef unsigned long long int bits64;
+typedef signed long long int sbits64;
 #endif
 
 #ifdef BITS64
 /*
 -------------------------------------------------------------------------------
-The `LIT64' macro takes as its argument a textual integer literal and if
-necessary ``marks'' the literal as having a 64-bit integer type.  For
-example, the Gnu C Compiler (`gcc') requires that 64-bit literals be
+The `LIT64' macro takes as its argument a textual integer literal and
+if necessary ``marks'' the literal as having a 64-bit integer type.
+For example, the GNU C Compiler (`gcc') requires that 64-bit literals be
 appended with the letters `LL' standing for `long long', which is `gcc's
 name for the 64-bit integer type.  Some compilers may allow `LIT64' to be
 defined as the identity macro:  `#define LIT64( a ) a'.
Only in libfloat/softfloat: CVS
diff -uwbBpr libfloat/softfloat/bits32/386-Win32-gcc/Makefile SoftFloat-2a/softfloat/bits32/386-Win32-gcc/Makefile
--- libfloat/softfloat/bits32/386-Win32-gcc/Makefile	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/386-Win32-gcc/Makefile	Mon Sep 20 11:46:58 1999
@@ -1,25 +1,24 @@
 
-PROCESSOR_DIR = ../../../processors
-PROCESSOR_H = $(PROCESSOR_DIR)/386-gcc.h
+PROCESSOR_H = ../../../processors/386-gcc.h
 SOFTFLOAT_MACROS = ../softfloat-macros
-CC = gcc
-CINCLUDES = -I. -I.. -I-
-CFLAGS = -O2
-LINK = gcc
-LFLAGS =
-TIMESOFTFLOAT_EXE = timesoftfloat.exe
 
-ALL: softfloat.o $(TIMESOFTFLOAT_EXE)
+OBJ = .o
+EXE = .exe
+INCLUDES = -I. -I..
+COMPILE_C = gcc -c -o $@ $(INCLUDES) -I- -O2
+LINK = gcc -o $@
+
+ALL: softfloat$(OBJ) timesoftfloat$(EXE)
 
 milieu.h: $(PROCESSOR_H)
 	touch milieu.h
 
-softfloat.o: milieu.h softfloat.h softfloat-specialize $(SOFTFLOAT_MACROS) ../softfloat.c
-	$(CC) $(CINCLUDES) $(CFLAGS) -c ../softfloat.c
+softfloat$(OBJ): milieu.h softfloat.h softfloat-specialize $(SOFTFLOAT_MACROS) ../softfloat.c
+	$(COMPILE_C) ../softfloat.c
 
-timesoftfloat.o: milieu.h softfloat.h ../timesoftfloat.c
-	$(CC) $(CINCLUDES) $(CFLAGS) -c ../timesoftfloat.c
+timesoftfloat$(OBJ): milieu.h softfloat.h ../timesoftfloat.c
+	$(COMPILE_C) ../timesoftfloat.c
 
-$(TIMESOFTFLOAT_EXE): softfloat.o timesoftfloat.o
-	$(LINK) $(LFLAGS) -o $(TIMESOFTFLOAT_EXE) softfloat.o timesoftfloat.o
+timesoftfloat$(EXE): softfloat$(OBJ) timesoftfloat$(OBJ)
+	$(LINK) softfloat$(OBJ) timesoftfloat$(OBJ)
 
diff -uwbBpr libfloat/softfloat/bits32/386-Win32-gcc/milieu.h SoftFloat-2a/softfloat/bits32/386-Win32-gcc/milieu.h
--- libfloat/softfloat/bits32/386-Win32-gcc/milieu.h	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/386-Win32-gcc/milieu.h	Mon Sep 20 11:46:59 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C header file is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -12,8 +12,8 @@ National Science Foundation under grant 
 of this code was written as part of a project to build a fixed-point vector
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
-is available through the Web page `http://http.cs.berkeley.edu/~jhauser/
-arithmetic/softfloat.html'.
+is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
diff -uwbBpr libfloat/softfloat/bits32/386-Win32-gcc/softfloat-specialize SoftFloat-2a/softfloat/bits32/386-Win32-gcc/softfloat-specialize
--- libfloat/softfloat/bits32/386-Win32-gcc/softfloat-specialize	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/386-Win32-gcc/softfloat-specialize	Mon Sep 20 11:47:00 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C source fragment is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -12,8 +12,8 @@ National Science Foundation under grant 
 of this code was written as part of a project to build a fixed-point vector
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
-is available through the Web page `http://http.cs.berkeley.edu/~jhauser/
-arithmetic/softfloat.html'.
+is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
@@ -40,8 +40,8 @@ int8 float_detect_tininess = float_tinin
 /*
 -------------------------------------------------------------------------------
 Raises the exceptions specified by `flags'.  Floating-point traps can be
-defined here if desired.  It is currently not possible for such a trap to
-substitute a result value.  If traps are not implemented, this routine
+defined here if desired.  It is currently not possible for such a trap
+to substitute a result value.  If traps are not implemented, this routine
 should be simply `float_exception_flags |= flags;'.
 -------------------------------------------------------------------------------
 */
diff -uwbBpr libfloat/softfloat/bits32/386-Win32-gcc/softfloat.h SoftFloat-2a/softfloat/bits32/386-Win32-gcc/softfloat.h
--- libfloat/softfloat/bits32/386-Win32-gcc/softfloat.h	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/386-Win32-gcc/softfloat.h	Mon Sep 20 11:47:00 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C header file is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -12,8 +12,8 @@ National Science Foundation under grant 
 of this code was written as part of a project to build a fixed-point vector
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
-is available through the Web page `http://http.cs.berkeley.edu/~jhauser/
-arithmetic/softfloat.html'.
+is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
Only in libfloat/softfloat/bits32: ARM-gcc
Only in libfloat/softfloat/bits32: CVS
Only in SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc: .pure
Only in libfloat/softfloat/bits32/SPARC-Solaris-gcc: CVS
diff -uwbBpr libfloat/softfloat/bits32/SPARC-Solaris-gcc/Makefile SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/Makefile
--- libfloat/softfloat/bits32/SPARC-Solaris-gcc/Makefile	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/Makefile	Mon Sep 20 12:10:32 1999
@@ -1,25 +1,24 @@
 
-PROCESSOR_DIR = ../../../processors
-PROCESSOR_H = $(PROCESSOR_DIR)/SPARC-gcc.h
+PROCESSOR_H = ../../../processors/SPARC-gcc.h
 SOFTFLOAT_MACROS = ../softfloat-macros
-CC = gcc
-CINCLUDES = -I. -I.. -I-
-CFLAGS = -O2
-LINK = gcc
-LFLAGS =
-TIMESOFTFLOAT_EXE = timesoftfloat
 
-ALL: softfloat.o $(TIMESOFTFLOAT_EXE)
+OBJ = .o
+EXE =
+INCLUDES = -I. -I..
+COMPILE_C = gcc -c -o $@ $(INCLUDES) -I- -O2
+LINK = gcc -o $@
+
+ALL: softfloat$(OBJ) timesoftfloat$(EXE)
 
 milieu.h: $(PROCESSOR_H)
 	touch milieu.h
 
-softfloat.o: milieu.h softfloat.h softfloat-specialize $(SOFTFLOAT_MACROS) ../softfloat.c
-	$(CC) $(CINCLUDES) $(CFLAGS) -c ../softfloat.c
+softfloat$(OBJ): milieu.h softfloat.h softfloat-specialize $(SOFTFLOAT_MACROS) ../softfloat.c
+	$(COMPILE_C) ../softfloat.c
 
-timesoftfloat.o: milieu.h softfloat.h ../timesoftfloat.c
-	$(CC) $(CINCLUDES) $(CFLAGS) -c ../timesoftfloat.c
+timesoftfloat$(OBJ): milieu.h softfloat.h ../timesoftfloat.c
+	$(COMPILE_C) ../timesoftfloat.c
 
-$(TIMESOFTFLOAT_EXE): softfloat.o timesoftfloat.o
-	$(LINK) $(LFLAGS) -o $(TIMESOFTFLOAT_EXE) softfloat.o timesoftfloat.o
+timesoftfloat$(EXE): softfloat$(OBJ) timesoftfloat$(OBJ)
+	$(LINK) softfloat$(OBJ) timesoftfloat$(OBJ)
 
diff -uwbBpr libfloat/softfloat/bits32/SPARC-Solaris-gcc/milieu.h SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/milieu.h
--- libfloat/softfloat/bits32/SPARC-Solaris-gcc/milieu.h	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/milieu.h	Mon Sep 20 12:10:59 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C header file is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -12,8 +12,8 @@ National Science Foundation under grant 
 of this code was written as part of a project to build a fixed-point vector
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
-is available through the Web page `http://http.cs.berkeley.edu/~jhauser/
-arithmetic/softfloat.html'.
+is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
diff -uwbBpr libfloat/softfloat/bits32/SPARC-Solaris-gcc/softfloat-specialize SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/softfloat-specialize
--- libfloat/softfloat/bits32/SPARC-Solaris-gcc/softfloat-specialize	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/softfloat-specialize	Mon Sep 20 12:11:19 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C source fragment is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -12,8 +12,8 @@ National Science Foundation under grant 
 of this code was written as part of a project to build a fixed-point vector
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
-is available through the Web page `http://http.cs.berkeley.edu/~jhauser/
-arithmetic/softfloat.html'.
+is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
@@ -40,8 +40,8 @@ int8 float_detect_tininess = float_tinin
 /*
 -------------------------------------------------------------------------------
 Raises the exceptions specified by `flags'.  Floating-point traps can be
-defined here if desired.  It is currently not possible for such a trap to
-substitute a result value.  If traps are not implemented, this routine
+defined here if desired.  It is currently not possible for such a trap
+to substitute a result value.  If traps are not implemented, this routine
 should be simply `float_exception_flags |= flags;'.
 -------------------------------------------------------------------------------
 */
diff -uwbBpr libfloat/softfloat/bits32/SPARC-Solaris-gcc/softfloat.h SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/softfloat.h
--- libfloat/softfloat/bits32/SPARC-Solaris-gcc/softfloat.h	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/SPARC-Solaris-gcc/softfloat.h	Mon Sep 20 12:11:27 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C header file is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -13,7 +13,7 @@ of this code was written as part of a pr
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
 is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
-arithmetic/softfloat.html'.
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
diff -uwbBpr libfloat/softfloat/bits32/softfloat-macros SoftFloat-2a/softfloat/bits32/softfloat-macros
--- libfloat/softfloat/bits32/softfloat-macros	Wed Sep 15 16:18:51 1999
+++ SoftFloat-2a/softfloat/bits32/softfloat-macros	Mon Sep 20 11:46:52 1999
@@ -3,7 +3,7 @@
 ===============================================================================
 
 This C source fragment is part of the SoftFloat IEC/IEEE Floating-point
-Arithmetic Package, Release 2.
+Arithmetic Package, Release 2a.
 
 Written by John R. Hauser.  This work was made possible in part by the
 International Computer Science Institute, located at Suite 600, 1947 Center
@@ -12,8 +12,8 @@ National Science Foundation under grant 
 of this code was written as part of a project to build a fixed-point vector
 processor in collaboration with the University of California at Berkeley,
 overseen by Profs. Nelson Morgan and John Wawrzynek.  More information
-is available through the web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
-arithmetic/softfloat.html'.
+is available through the Web page `http://HTTP.CS.Berkeley.EDU/~jhauser/
+arithmetic/SoftFloat.html'.
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, FOR FREE.  Although reasonable effort
 has been made to avoid it, THIS SOFTWARE MAY CONTAIN FAULTS THAT WILL AT
@@ -23,7 +23,7 @@ AND ALL LOSSES, COSTS, OR OTHER PROBLEMS
 
 Derivative works are acceptable, even for commercial purposes, so long as
 (1) they include prominent notice that the work is derivative, and (2) they
-include prominent notice akin to these three paragraphs for those parts of
+include prominent notice akin to these four paragraphs for those parts of
 this code that are retained.
 
 ===============================================================================
@@ -225,9 +225,9 @@ INLINE void
 
 /*
 -------------------------------------------------------------------------------
-Shifts the 96-bit value formed by concatenating `a0', `a1', and `a2' left by
-the number of bits given in `count'.  Any bits shifted off are lost.  The
-value of `count' must be less than 32.  The result is broken into three
+Shifts the 96-bit value formed by concatenating `a0', `a1', and `a2' left
+by the number of bits given in `count'.  Any bits shifted off are lost.
+The value of `count' must be less than 32.  The result is broken into three
 32-bit pieces which are stored at the locations pointed to by `z0Ptr',
 `z1Ptr', and `z2Ptr'.
 -------------------------------------------------------------------------------
@@ -409,8 +409,8 @@ INLINE void mul32To64( bits32 a, bits32 
 
 /*
 -------------------------------------------------------------------------------
-Multiplies the 64-bit value formed by concatenating `a0' and `a1' by `b' to
-obtain a 96-bit product.  The product is broken into three 32-bit pieces
+Multiplies the 64-bit value formed by concatenating `a0' and `a1' by `b'
+to obtain a 96-bit product.  The product is broken into three 32-bit pieces
 which are stored at the locations pointed to by `z0Ptr', `z1Ptr', and
 `z2Ptr'.
 -------------------------------------------------------------------------------
@@ -477,10 +477,10 @@ INLINE void
 /*
 -------------------------------------------------------------------------------
 Returns an approximation to the 32-bit integer quotient obtained by dividing
-`b' into the 64-bit value formed by concatenating `a0' and `a1'.  The divisor
-`b' must be at least 2^31.  If q is the exact quotient truncated toward
-zero, the approximation returned lies between q and q + 2 inclusive.  If
-the exact quotient q is larger than 32 bits, the maximum positive 32-bit
+`b' into the 64-bit value formed by concatenating `a0' and `a1'.  The
+divisor `b' must be at least 2^31.  If q is the exact quotient truncated
+toward zero, the approximation returned lies between q and q + 2 inclusive.
+If the exact quotient q is larger than 32 bits, the maximum positive 32-bit
 unsigned integer is returned.
 -------------------------------------------------------------------------------
 */
@@ -548,8 +548,8 @@ static bits32 estimateSqrt32( int16 aExp
 
 /*
 -------------------------------------------------------------------------------
-Returns the number of leading 0 bits before the most-significant 1 bit
-of `a'.  If `a' is zero, 32 is returned.
+Returns the number of leading 0 bits before the most-significant 1 bit of
+`a'.  If `a' is zero, 32 is returned.
 -------------------------------------------------------------------------------
 */
 static int8 countLeadingZeros32( bits32 a )
@@ -590,8 +590,8 @@ static int8 countLeadingZeros32( bits32 
 
 /*
 -------------------------------------------------------------------------------
-Returns 1 if the 64-bit value formed by concatenating `a0' and `a1' is equal
-to the 64-bit value formed by concatenating `b0' and `b1'.  Otherwise,
+Returns 1 if the 64-bit value formed by concatenating `a0' and `a1' is
+equal to the 64-bit value formed by concatenating `b0' and `b1'.  Otherwise,
 returns 0.
 -------------------------------------------------------------------------------
 */
